User - Account
User account management endpoints including retrieving unused invite codes for the authenticated user. These endpoints help users manage their invite code allocations for creating new tenants.
-
GET Get current user's profileReturns the profile information of the currently authenticated user including first name, last name, and avatar/account/profile
-
PUT Update current user's profileUpdates the currently authenticated user's profile information (first name and last name only). To update the avatar, use the PUT /account/avatar endp.../account/profile
-
PUT Set current user's avatarSets the currently authenticated user's avatar by uploading an image file. The image will be validated, processed (EXIF stripped), uploaded to blob st.../account/avatar
-
DELETE Remove current user's avatarRemoves the currently authenticated user's avatar/account/avatar
-
POST Set UTM Info (write-once)Sets the currently authenticated user's UTM tracking information. This is a write-once operation - if the user already has any UTM data, the request i.../account/utm
-
GET Get Invite CodesGets all invite codes for the authenticated user./users/invite-codes